package com.lifepay.lifepayrp750xdemo.activities.base;

import org.androidannotations.annotations.Click;
import org.androidannotations.annotations.EFragment;
import org.androidannotations.annotations.ViewById;

import android.view.View;
import android.widget.Button;

import com.lifepay.lifepayrp750xdemo.R;

@EFragment
public abstract class FBaseMenuBar extends BaseFragment {

	protected String TAG = FBaseMenuBar.class.getSimpleName();

	protected FBaseMenuBarInterface intf;

	@ViewById
	protected Button btnBack;

	@Click(R.id.btnBack)
	public void onBtnBackClick() {
		if (intf != null)
			intf.onButtonClick(R.id.btnBack);
	}

    @Override
	public void onStart() {
		super.onStart();
	}

	public void setIntf(FBaseMenuBarInterface intf) {
		this.intf = intf;
	}

	public interface FBaseMenuBarInterface {
        void onButtonClick(int id);
	}

	public void hideBackBtn() {
		btnBack.setVisibility(View.INVISIBLE);
	}

	public void showBackBtn() {
		btnBack.setVisibility(View.VISIBLE);
	}

	public void enableBtns(boolean enable) {
	}

	@Override
	public void onResume() {
		super.onResume();
		enableBtns(true);
	}

}
