package com.lifepay.lifepayrp750xdemo.activities.rp750x.refund;

import com.lifepay.lib.LifePayApi;
import com.lifepay.lib.beans.TransactionEx;
import com.lifepay.lib.rest.params.PaymentParams;
import com.lifepay.lifepayrp750xdemo.TestData;
import com.lifepay.lifepayrp750xdemo.R;
import com.lifepay.lifepayrp750xdemo.activities.rp750x.FBaseRP750xPayment;

import org.androidannotations.annotations.EFragment;

@EFragment(R.layout.f_rp750x_payment)
public class FRP750xRefund extends FBaseRP750xPayment {

	@Override
	protected PaymentParams getPaymentParams() {
		currentOperation = LifePayApi.OperationType.REFUND;
		return new PaymentParams(TestData.LOGIN,
				TestData.PASSWORD, null, null,
				TestData.REFUND_REASON, TestData.LAST_TRANSACTION_AMOUNT, 0.0, 0.0, null,
				currentOperation, TestData.TRANSACTION_INFO.getLifepayTransactionNumber());
	}
}
